package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据源管理对象 sys_meta_datasource
 * 
 * @author 朱得糠
 * @date 2025-08-02
 */
public class SysMetaDatasource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据源ID */
    private String dsCode;

    /** 数据源名称 */
    @Excel(name = "数据源名称")
    private String dsTitle;

    /** 数据源类型 */
    @Excel(name = "数据源类型")
    private String dsType;

    /** 数据库中文名 */
    @Excel(name = "数据库中文名")
    private String dsDbname;

    /** 数据库IP */
    @Excel(name = "数据库IP")
    private String dsIp;

    /** 端口号 */
    @Excel(name = "端口号")
    private Integer dsPort;

    /** 用户名 */
    @Excel(name = "用户名")
    private String dsUser;

    /** 密码 */
    @Excel(name = "密码")
    private String dsPass;

    /** 说明 */
    @Excel(name = "说明")
    private String dsNode;

    private Integer sort;

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public void setDsCode(String dsCode)
    {
        this.dsCode = dsCode;
    }

    public String getDsCode() 
    {
        return dsCode;
    }
    public void setDsTitle(String dsTitle) 
    {
        this.dsTitle = dsTitle;
    }

    public String getDsTitle() 
    {
        return dsTitle;
    }
    public void setDsType(String dsType) 
    {
        this.dsType = dsType;
    }

    public String getDsType() 
    {
        return dsType;
    }
    public void setDsDbname(String dsDbname) 
    {
        this.dsDbname = dsDbname;
    }

    public String getDsDbname() 
    {
        return dsDbname;
    }
    public void setDsIp(String dsIp) 
    {
        this.dsIp = dsIp;
    }

    public String getDsIp() 
    {
        return dsIp;
    }
    public void setDsPort(Integer dsPort) 
    {
        this.dsPort = dsPort;
    }

    public Integer getDsPort() 
    {
        return dsPort;
    }
    public void setDsUser(String dsUser) 
    {
        this.dsUser = dsUser;
    }

    public String getDsUser() 
    {
        return dsUser;
    }
    public void setDsPass(String dsPass) 
    {
        this.dsPass = dsPass;
    }

    public String getDsPass() 
    {
        return dsPass;
    }
    public void setDsNode(String dsNode) 
    {
        this.dsNode = dsNode;
    }

    public String getDsNode() 
    {
        return dsNode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dsCode", getDsCode())
            .append("dsTitle", getDsTitle())
            .append("dsType", getDsType())
            .append("dsDbname", getDsDbname())
            .append("dsIp", getDsIp())
            .append("dsPort", getDsPort())
            .append("dsUser", getDsUser())
            .append("dsPass", getDsPass())
            .append("dsNode", getDsNode())
            .toString();
    }
}
